org.gradle.plugins.binaries.model

## Interface LibraryCompileSpec

- All Superinterfaces:
    CompileSpec, Named

      public interface LibraryCompileSpec
      extends CompileSpec

  A high level interface to the compiler, specifying what is to be compiled and how.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInstallName()` Returns the install name for the library.
    `void` | `setInstallName(String path)`

    - ### Methods inherited from interface org.gradle.plugins.binaries.model.CompileSpec

      `compile, getOutputFile`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getInstallName

          String getInstallName()

      Returns the install name for the library. This is the location where this library will be installed on the target system, and where clients of this library should look for the library.

      On Linux systems, this corresponds to the soname for the library.

    - #### setInstallName

          void setInstallName(String path)